// CXmlFormItem_CheckBox.h
//

#if !defined(_CXMLFORMITEM_CHECKBOX_H_)
#define _CXMLFORMITEM_CHECKBOX_H_

#include "stdafx.h"
#include "XmlBaseFormItem.h"
#include "enums.h"
#include "cmString.h"



class CXmlFormItem_CheckBox: public CXmlBaseFormItem
{
public:
	CXmlFormItem_CheckBox();
	virtual ~CXmlFormItem_CheckBox();

// implementation of XmlSerializable
//
public:
	virtual bool BuildFromXml(IXMLDOMNode* node);
	virtual bool AppendToDOMDocument(IXMLDOMDocument2* xmlDoc, IXMLDOMElement* parentElement);

public:
	virtual void SetCaption(const cmString& caption);
	virtual cmString GetCaption();

	virtual enFormItemType GetItemType();
	
protected:
	cmString caption_;
};

#endif //!defined(_CFORMITEM_CHECKBOX_H_)